> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8c05c8a2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# BYOC インフラストラクチャを作成

> 組織内に新しい BYOC インフラストラクチャを作成します。新しく作成されたインフラストラクチャの設定を返します



## OpenAPI

````yaml /ja/_specs/cloud-openapi.json post /v1/organizations/{organizationId}/byocInfrastructure
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/byocInfrastructure:
    post:
      tags:
        - Organization
      summary: BYOC インフラストラクチャを作成
      description: 組織内に新しい BYOC インフラストラクチャを作成します。新しく作成されたインフラストラクチャの設定を返します
      parameters:
        - description: 対象の組織の ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ByocInfrastructurePostRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意の ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ByocConfig'
                  status:
                    description: HTTPステータスコード。
                    example: 200
                    type: number
                type: object
          description: 成功時のレスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: エラーの詳細。
                    type: string
                  status:
                    description: HTTPステータスコード。
                    example: 400
                    type: number
                type: object
          description: クライアント エラーと判断される何らかの理由により、server はリクエストを処理できないか、処理しません。
components:
  schemas:
    ByocInfrastructurePostRequest:
      properties:
        accountId:
          description: BYOC インフラストラクチャの設定対象のクラウドアカウント ID
          type: string
        availabilityZoneSuffixes:
          description: アベイラビリティゾーンの接尾辞の一覧
          items:
            enum:
              - a
              - b
              - c
              - d
              - e
              - f
            type: string
          type: array
        regionId:
          description: BYOC インフラストラクチャを配置する Region
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
        vpcCidrRange:
          description: VPC の CIDR 範囲
          type: string
    ByocConfig:
      properties:
        accountName:
          description: account 名
          type: string
        cloudProvider:
          description: そのリージョンのクラウドプロバイダー
          enum:
            - gcp
            - aws
            - azure
          type: string
        id:
          description: BYOC configuration の一意の識別子
          type: string
        regionId:
          description: BYOC が設定されており、service を作成可能なリージョン
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
        state:
          description: インフラストラクチャの状態
          enum:
            - infra-ready
            - infra-provisioning
            - infra-terminated
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud console で取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````